Bug 1023489 - RHEVM 3.3 is19 Migration Fails for Win2008 R2 64
RHEVM 3.3 is19 Migration Fails for Win2008 R2 64
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
urgent Severity unspecified
: ---
: 3.3.0
Assigned To: Vinzenz Feenstra [evilissimo]
Pavel Novotny
virt
: Triaged
Depends On: 1037547
Blocks: 3.3snap4
  Show dependency treegraph
 
Reported: 2013-10-25 10:21 EDT by Vimal Patel
Modified: 2014-01-21 17:30 EST (History)
14 users (show)

See Also:
Fixed In Version: is26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file from the host where migration failed (70.71 KB, text/plain)
2013-10-25 10:21 EDT, Vimal Patel
no flags Details

  None (edit)
Description Vimal Patel 2013-10-25 10:21:10 EDT
Created attachment 816180 [details]
log file from the host where migration failed

Description of problem:
I tried multiple migrations and all have failed.
Doing a simple migration with leaving notepad open and typing left the VM frozen for 7-8 seconds, and then remote-viewer on the client closed out automatically, while the migration was completed.

I tried multiple migrations with a video playing on youtube, and I had a failed migration, and the remote-viewer on the client freezing and closing out.
Other times it was just freezing on the client for long periods of time, while the migration completed. 

Client: Windows 7 64 
Host: RHEL 6.5 Snap3
Guest: Windows 2008 R2
RHEVM is19
Using native invocation:
mingw-virt-viewer 0.5.66.el6_4

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.  Migrate the Windows 2008 R2 64 VM from the Admin console of RHEVM
2.
3.

Actual results:
Frozen on the client for a long period of time, freezing on the client and remote-viewer closing out on the client, freezing on the client, remote-viewer closing out on the client, and migration failing.

Expected results:
Successful migration with little to no effects seen on the client

Additional info:
Comment 1 Michal Skrivanek 2013-11-07 03:54:14 EST
you observed 2 different results - one failing migration the other succeeding? Please add logs for failing migration (engine, vdsm, libvirt)

regarding client freezing this would need to be investigated by SPICE team as it is internal to remote-viewer<->spice-server communication
Comment 2 Bill Sanford 2013-11-11 14:03:45 EST
I have a Windows 8.1 client and a W2K8R2 SP1 guest and the migration freezes the guest about 5 seconds into the migration, then for about 30 - 45 seconds nothing is seen and then logs the user out. Once the login screen appears (User is logged out), the migration continues. I then press CAD, login and it was like the guest was never migrated.
Comment 3 Vinzenz Feenstra [evilissimo] 2013-11-14 02:28:38 EST
Bill and Vimal: Which version of the VirtIO Drivers are you using?
Comment 4 Bill Sanford 2013-11-19 11:06:01 EST
From what is in http://bob.eng.lab.tlv.redhat.com/builds/is19/, I would believe that we would be using virtio-win-1.6.6-1.el6.noarch.rpm (also at bottom of "is19" list).
Comment 5 Vinzenz Feenstra [evilissimo] 2013-11-25 06:32:57 EST
(In reply to Bill Sanford from comment #4)
> From what is in http://bob.eng.lab.tlv.redhat.com/builds/is19/, I would
> believe that we would be using virtio-win-1.6.6-1.el6.noarch.rpm (also at
> bottom of "is19" list).

Please try the latest virtio-win-1.6.7-2 and let me know if this still applies https://brewweb.devel.redhat.com/packageinfo?packageID=12447
Comment 9 Vinzenz Feenstra [evilissimo] 2013-12-05 09:00:27 EST
Migration works without any problems in is26
Comment 10 Pavel Novotny 2013-12-13 08:53:47 EST
Verified in is27.

RHEVM: rhevm-3.3.0-0.40.rc.el6ev.noarch (is27)
       virtio-win-1.6.7-3.el6_5.noarch
Guest: Windows 2008 R2 x64
Client / console: 
  Windows 7 x64 / SPICE over virt-viewer (0.5.7-1.fc19.berrange1375272046), SPICE-HTML5 and noVNC

Win2008R2 guest has been manually migrated several times with console opened on client. All migrations completed successfully.
Comment 11 Itamar Heim 2014-01-21 17:26:46 EST
Closing - RHEV 3.3 Released
Comment 12 Itamar Heim 2014-01-21 17:30:05 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.